// Blei Automat
// 
// Ann Schomburg
//
//


// PWM Pin 2 Münzeinwurf

// PWM Pin 6 Servo Frontklappe 
// PWM Pin 11 Servo heater
// PWM Pin 10 Motor - Kaugummiautomat

#include <Servo.h> 
Servo myservo1; 
Servo myservo2; 
int pos1 = 0; 
int pos2 = 0; 

void setup()
{
  pinMode(4,INPUT);
  pinMode(10,OUTPUT);
  digitalWrite(4,HIGH);
  myservo1.attach(11);
  myservo2.attach(6);
  heaterUp();
  woodDown();
 
}

void loop()
{
  
  delay(5000);
  
  
  while(1)  //Warten auf geldeinwurf
  {
    if(digitalRead(4) == LOW) break;
  }
  
  
  
  
  
  
  motorOn();
  delay(1500);
  motorOff();
  delay(1500);
  
  servoPatrol(90);
  
  heaterDown();
  delay(2000);
  heaterUp();
  delay(5000);

  
  woodUp();
  delay(20000);
  woodDown();
  delay(2000);
   
}

void woodDown()
{
myservo2.write(180);

}

void woodUp()
{
myservo2.write(0);
  
}

void heaterDown()
{
myservo1.write(90);

}

void heaterUp()
{
myservo1.write(0);
  
}



void motorOn()
{
digitalWrite(10,HIGH);
  
}

void motorOff()
{
digitalWrite(10,LOW);
  
}

void servoPatrol(int count)
{
  
  int pos = 0;
  
  for(int i = 0; i <= count;i++)
  {
      for(pos = 0; pos < 25; pos += 1)  // goes from 0 degrees to 180 degrees 
    {                                  // in steps of 1 degree 
      myservo1.write(pos);              // tell servo to go to position in variable 'pos' 
      delay(30);                       // waits 15ms for the servo to reach the position 
    } 
    
    for(pos = 25; pos>=0; pos-=1)     // goes from 180 degrees to 0 degrees 
    {                                
      myservo1.write(pos);              // tell servo to go to position in variable 'pos' 
      delay(30);                       // waits 15ms for the servo to reach the position 
    } 
  }

}






